SAMBAMBA-SLICE(1)

NAME
sambamba-slice - copying a slice of BAM file

SYNOPSIS
sambamba slice OPTIONS <input.bam> region

DESCRIPTION
Outputs reads overlapping specified region into new BAM file. (Default destination is STDOUT.) Input file must be coordinate-sorted and indexed.

While the same can be done with sambamba-view, that would be much slower due to a lot of compression/decompression work. Instead of naive method, sambamba-slice leverages knowledge about structure of BAM file and recompresses only a few BGZF blocks at the beginning and the end of the region, while the BGZF blocks in the middle are copied as is. As such, this tool doesn't offer any options related to number of threads or compression level - most of the time is spent on I/O operations.

OPTIONS

-o, --output-filename=OUTPUTFILE
    Name of output file